/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common;

/**
 * This class contains global variables and constants.
 * 
 * @author Nils Christian Ehmke
 * @version 1.0
 */
public final class Global {
	/**
	 * This is the page used for the redirection to the controller page.
	 */
	public static final String PAGE_ANALYSIS_CONTROLLER = "Controller.xhtml";
	/**
	 * This is the page used for the redirection to the overview.
	 */
	public static final String PAGE_PROJECT_OVERVIEW = "ProjectOverview.xhtml";
	/**
	 * This is the page used for the redirection to the cockpit.
	 */
	public static final String PAGE_ANALYSIS_COCKPIT = "Cockpit.xhtml";
	/**
	 * This is the page used for the redirection to the cockpit editor.
	 */
	public static final String PAGE_ANALYSIS_VIEW_WORK_SPACE = "CockpitEditor.xhtml";
	/**
	 * This is the page used for the redirection to the analysis editor.
	 */
	public static final String PAGE_PROJECT_WORK_SPACE = "AnalysisEditor.xhtml";

	/**
	 * Default constructor.
	 */
	private Global() {
		// No code necessary
	}
}
